<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToAbRtmTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('ab_rtm', function(Blueprint $table)
		{
			$table->foreign('account_id', 'fk_rtm_acc')->references('id')->on('ab_account')->onUpdate('NO ACTION')->onDelete('NO ACTION');
			$table->foreign('parent_id', 'fk_rtm_rtm')->references('id')->on('ab_rtm')->onUpdate('NO ACTION')->onDelete('NO ACTION');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('ab_rtm', function(Blueprint $table)
		{
			$table->dropForeign('fk_rtm_acc');
			$table->dropForeign('fk_rtm_rtm');
		});
	}

}
